# SequenceModifiers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SequenceModifiers`(bpy_struct)

  Collection of strip modifiers

  `new`(name, type)

    Add a new modifier

    Parameters: | name (string, (never None)) – New name for the modifier type (enum in [‘COLOR_BALANCE’, ‘CURVES’, ‘HUE_CORRECT’, ‘BRIGHT_CONTRAST’, ‘MASK’]) – Modifier type to add
    Returns: | Newly created modifier
    Return type: | `SequenceModifier`

  `remove`(modifier)

    Remove an existing modifier from the sequence

    Parameters: | modifier (`SequenceModifier`, (never None)) – Modifier to remove

  `clear`()

    Remove all modifiers from the sequence

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Sequence.modifiers` |